Bug 1716538 - python-utmp fails to build with Python 3.8
Summary: python-utmp fails to build with Python 3.8
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-utmp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Juha Tuomala
QA Contact: Fedora Extras Quality Assurance
URL: https://copr.fedorainfracloud.org/cop...
Whiteboard:
Depends On:
Blocks: F32FTBFS F32FailsToInstall PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-06-03 14:41 UTC by Miro Hrončok
Modified: 2019-10-18 08:31 UTC (History)
3 users (show)

Fixed In Version: python-igor-0.3-9.20150408git2c2a79d.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-18 08:28:45 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-06-03 14:41:20 UTC
See https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-utmp/ for actual logs. This report is automated and not very verbose, but feel free to ping me for help.

Comment 1 Miro Hrončok 2019-07-10 14:22:09 UTC
utmpaccessmodule.c:1:10: fatal error: Python.h: No such file or directory

Comment 2 Miro Hrončok 2019-07-30 14:29:58 UTC
Could you have look please, Juha?

Comment 3 Petr Viktorin 2019-07-30 14:31:01 UTC
This might be the following issue:

Code that embeds Python (rather than building an extension module) needs to pass `--embed` to any `python3-config` invocation to build with Python 3.8.
More information: 
https://docs.python.org/3.8/whatsnew/3.8.html#debug-build-uses-the-same-abi-as-release-build

Comment 4 Ben Cotton 2019-08-13 17:05:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Ben Cotton 2019-08-13 18:52:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Miro Hrončok 2019-08-14 22:24:26 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 7 Miro Hrončok 2019-08-21 16:35:11 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 8 Miro Hrončok 2019-08-21 17:29:15 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 9 Miro Hrončok 2019-09-16 08:36:04 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

Could you please look into this?

Comment 10 Zbigniew Jędrzejewski-Szmek 2019-10-18 08:25:01 UTC
Built in rawhide

Comment 11 Zbigniew Jędrzejewski-Szmek 2019-10-18 08:31:08 UTC
Built in rawhide. The tests are still failing because the output is full of bytes strings. This will require some actual coding to fix…, but we can close this bug.


Note You need to log in before you can comment on or make changes to this bug.